unit USelectForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TSelectForm = class(TForm)
    Panel1: TPanel;
    SelectRadioGroup: TRadioGroup;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    RadioButton6: TRadioButton;
    RadioButton7: TRadioButton;
    RadioButton8: TRadioButton;
    RadioButton9: TRadioButton;
    RadioButton10: TRadioButton;
    RadioButton11: TRadioButton;
    RadioButton12: TRadioButton;
    RadioButton13: TRadioButton;
    RadioButton14: TRadioButton;
    RadioButton15: TRadioButton;
    RadioButton16: TRadioButton;
    RadioButton17: TRadioButton;
    RadioButton18: TRadioButton;
    RadioButton19: TRadioButton;
    RadioButton20: TRadioButton;
    RadioButton21: TRadioButton;
    RadioButton22: TRadioButton;
    RadioButton23: TRadioButton;
    RadioButton24: TRadioButton;
    RadioButton25: TRadioButton;
    RadioButton26: TRadioButton;
    RadioButton27: TRadioButton;
    RadioButton28: TRadioButton;
    RadioButton29: TRadioButton;
    RadioButton30: TRadioButton;
    Button1: TButton;
    RadioButton31: TRadioButton;
    RadioButton32: TRadioButton;
    RadioButton33: TRadioButton;
    RadioButton34: TRadioButton;
    RadioButton35: TRadioButton;
    RadioButton36: TRadioButton;
    RadioButton37: TRadioButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SelectForm: TSelectForm;

implementation

uses UMainForm, UDMCumFreq, UFreqCalc;

{$R *.dfm}

procedure TSelectForm.Button1Click(Sender: TObject);
var WorkFile : string; DDStr , EEstr: string;
begin
  with DMCumFreq do
  begin
    if RadioButton1.Checked then Preference := '1'         {Best}
    else if RadioButton2.Checked then Preference := '20'   {Normal st.}
    else if RadioButton3.Checked then Preference := '21'   {Normal st. opt}
    else if RadioButton4.Checked then Preference := '22'   {Log-normal}
    else if RadioButton5.Checked then Preference := '23'   {Log-normal opt}
    else if RadioButton6.Checked then Preference := '24'   {Root normal}
    else if RadioButton7.Checked then Preference := '25'   {Square normal}
    else if RadioButton8.Checked then Preference := '26'   {Gen. Normal}
    else if RadioButton9.Checked then Preference := '53'   {Logistic}
    else if RadioButton10.Checked then Preference := '54'  {Log-logistic}
    else if RadioButton11.Checked then Preference := '55'  {Logistic gen.}
    else if RadioButton12.Checked then Preference := '31'  {Burr}
    else if RadioButton13.Checked then Preference := '64'  {Cauchy st.}
    else if RadioButton14.Checked then Preference := '65'  {Cauchy gen.}
    else if RadioButton15.Checked then Preference := '32'  {Dagum}
    else if RadioButton16.Checked then Preference := '6'   {Exponentila st.}
    else if RadioButton17.Checked then Preference := '3'   {Exponential gen.}
    else if RadioButton18.Checked then Preference := '66'  {Exponential mirr.}
    else if RadioButton19.Checked then Preference := '58'  {Frechet}
    else if RadioButton20.Checked then Preference := '67'  {GEV}
    else if RadioButton21.Checked then Preference := '34'  {Gompertz}
    else if RadioButton22.Checked then Preference := '4'   {Gumbel st.}
    else if RadioButton23.Checked then Preference := '51'  {Gumbel gen.}
    else if RadioButton24.Checked then Preference := '5'   {Gumbel mirr.}
    else if RadioButton25.Checked then Preference := '52'  {Gumbel mirr. gen.}
    else if RadioButton26.Checked then Preference := '68'  {Laplace st.}
    else if RadioButton27.Checked then Preference := '73'  {Laplace gen.}
    else if RadioButton28.Checked then Preference := '56'  {Fisk adj.}
    else if RadioButton29.Checked then Preference := '57'  {Weibull st.}
    else if RadioButton30.Checked then Preference := '60'  {Weibull mirr.}
    else if RadioButton31.Checked then Preference := '62'  {Student}
    else if RadioButton32.Checked then Preference := '59'  {F-T III}
    else if RadioButton33.Checked then Preference := '33' {F-T III mirr.}
    else if RadioButton34.Checked then Preference := '35' {Frechet mirr.}
    else if RadioButton35.Checked then Preference := '39' {Kumaraswamy}
    else if RadioButton36.Checked then Preference := '69'  {Rayleigh mirr.}
    else if RadioButton37.Checked then Preference := '61'; {Erlang}

    if not RadioButton1.Checked then
    begin
      MainForm.ListButton.Visible:=false;
      WorkFile:=changefileext (DMCumFreq.FileName,'.Lst');
      if fileexists (WorkFile) then deletefile (WorkFile);
      WorkFile:=DMCumFreq.FileName;
      MainForm.OptionComboBox.ItemIndex:=0;
      UFreqCalc.Discon:=false;
      SelectForm.Hide;
    end;
    DDStr:='Best of All';
    if RadioButton2.Checked then DDStr:='standard normal';
    if RadioButton3.Checked then DDStr:='optimized normal';
    if RadioButton4.Checked then DDStr:='standard log-normal';
    if RadioButton5.Checked then DDStr:='optimized log-normal';
    if RadioButton6.Checked then DDStr:='root-normal';
    if RadioButton7.Checked then DDStr:='square-normal';
    if RadioButton8.Checked then DDStr:='generalized normal';
    if RadioButton9.Checked then DDStr:='standard logistic';
    if RadioButton10.Checked then DDStr:='log-logistic';
    if RadioButton11.Checked then DDStr:='generalized logistic';
    if RadioButton12.Checked then DDStr:='Burr probability';
    if RadioButton13.Checked then DDStr:='standard Cauchy';
    if RadioButton14.Checked then DDStr:='generalized Cauchy';
    if RadioButton15.Checked then DDStr:='Dagum probability';
    if RadioButton16.Checked then DDStr:='standard exponential';
    if RadioButton17.Checked then DDStr:='generalized exponential';
    if RadioButton18.Checked then DDStr:='gen. exponential mirrored';
    if RadioButton19.Checked then DDStr:='Frechet';
    if RadioButton20.Checked then DDStr:='GEV probability';
    if RadioButton21.Checked then DDStr:='generalized Gompertz';
    if RadioButton22.Checked then DDStr:='standard Gumbel';
    if RadioButton23.Checked then DDStr:='generalized Gumbel';
    if RadioButton24.Checked then DDStr:='mirrored Gumbel';
    if RadioButton25.Checked then DDStr:='generalized mirrored Gumbel';
    if RadioButton26.Checked then DDStr:='standard Laplace';
    if RadioButton27.Checked then DDStr:='generalized Laplace';
    if RadioButton28.Checked then DDStr:='Fisk adjusted';
    if RadioButton29.Checked then DDStr:='Weibull';
    if RadioButton30.Checked then DDStr:='mirrored Weibull';
    if RadioButton31.Checked then DDStr:='Student';
    if RadioButton32.Checked then DDStr:='Fisher Tippet III';
    if RadioButton33.Checked then DDStr:='Fisher Tippet III mirrored';
    if RadioButton34.Checked then DDStr:='Frechet mirrored';
    if RadioButton35.Checked then DDStr:='Kumaraswamy generalized';
    if RadioButton36.Checked then DDStr:='Rayleigh generalized';
    if RadioButton37.Checked then DDStr:='Gamma (Erlang)';
  end; {with DMCumFreq do}

  if RadioButton1.Checked then EEstr:=' distributions'
  else EEstr:=' distribution';
  DDStr:=DDstr+EEstr;
  MainForm.SelectionEdit.Text:=DDstr;

  if not RadioButton1.Checked then
     showmessage ('Please be aware that the '+DDStr+' selected'+
                  ' may or may not be suitable in this case.');
  SelectForm.Hide;
end;

end.
